using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace TestUltraTree
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.bindingSource1.DataSource = GenerateConfiguration();

            this.ultraTree1.DataSource = null;
            Configuration c = GenerateConfiguration();
            UltraTreeNode n = this.ultraTree1.Nodes.Add("Configuration");
            n.Nodes.Add("Input structures");
            n.Nodes[0].Nodes.SetDataBinding(c.InputStructures, null);
            n.Nodes.Add("Processings");
            n.Nodes[1].Nodes.SetDataBinding(c.Processings, null);
            n.Nodes.Add("References");
            n.Nodes[2].Nodes.SetDataBinding(c.References, null);
        }

        private Configuration GenerateConfiguration()
        {
            Configuration c = new Configuration();
            c.InputStructures.Add(new InputStructure("Input structure 1", "This is input structure #1"));
            c.InputStructures.Add(new InputStructure("Input structure 2", "This is input structure #2"));
            c.InputStructures.Add(new InputStructure("Input structure 3", "This is input structure #3"));
            c.Processings.Add(new Processing("Processing 1", "This is processing #1"));
            c.Processings.Add(new Processing("Processing 2", "This is processing #2"));
            c.Processings.Add(new Processing("Processing 3", "This is processing #3"));
            c.Processings.Add(new Processing("Processing 4", "This is processing #4"));
            c.References.Add(new Reference("Reference 1", "This is reference #1"));
            c.References.Add(new Reference("Reference 2", "This is reference #2"));
            return c;
        }
    }
}